#include <bits/stdc++.h>

using namespace std;

ifstream fi ("dqnd.inp");
ofstream fo ("dqnd.out");

int num=0;

int dn(int n){
  if (n>0) {
    num++;
    fo<<n%10;
    dn(n/10);
  }
}

int main(){
 int n;
 fi>>n;
 dn(n);
 fo<<endl<<num;
}
